1.1
1.1
get /v1/snapshots
Description
List snapshots
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | volume_id required | Volume ID Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | SnapshotListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/snapshots?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"snapshots": [
{
"id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
"name": "my_volume.2024-10-01_14215",
"state": "available",
"size": 100,
"created_at": "2024-07-30T04:54:33.219373"
}
],
"snapshot_size_total_byte": 100
}